## Debug build is enabled in System.Web

### Summary

Having a debug build can leak sensitive information from the application to users.

### Details

Debug mode causes your application to provide additional technical information that is intended for a debugger to consume which, while handy for debugging purposes, is inefficient and can disclose sensitive information to the user.

### References

*[https://learn.microsoft.com/en-us/troubleshoot/developer/webapps/aspnet/site-behavior-performance/debug-mode-applications](https://learn.microsoft.com/en-us/troubleshoot/developer/webapps/aspnet/site-behavior-performance/debug-mode-applications)
* [https://owasp.org/www-project-top-ten/2017/A6_2017-Security_Misconfiguration](https://owasp.org/www-project-top-ten/2017/A6_2017-Security_Misconfiguration)
